%define name	slrn
%define version 0.9.8.1
%define release %mkrel 4 

Name:		%{name}
Summary:	A powerful, easy to use, threaded Internet news reader
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/News
URL:		http://www.slrn.org/
Source0:        ftp://slrn.sourceforge.net/pub/slrn/%{name}-%{version}.tar.bz2
Source1:	slrnpull-expire
Source2:	slrnpull.log
Source3:	README.rpm-slrnpull
Patch0:		slrn-0.9.8.0-utf8.patch.bz2
Requires:	slang >= 1.4.0, inews
BuildRoot:	%{_tmppath}/%{name}-build
BuildRequires:  slang-devel 
BuildRequires:  sendmail-command

%description
SLRN is a powerful, easy to use, threaded Internet news reader.  SLRN is
highly customizable and allows you to design complex filters to sort or kill
news articles.  SLRN works well over slow network connections, and includes
a utility for reading news off-line.

Install slrn if you need a full-featured news reader, if you have a slow
network connection, or if you'D like to save on-line time by reading your
news off-line.

%package pull
Summary:	Offline news reading support for slrn
Group:		Networking/News
Requires:	%{name} = %{version}

%description pull
This package provides slrnpull, which allows set up of a small news
spool for offline news reading.

%prep
%setup  -q
%patch0 -p0 -b .utf8

%build
# FHS compliant install
%configure --sysconfdir=%{_sysconfdir}/news --with-slrnpull
%make

%install
%makeinstall
%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT/etc/{cron.daily,logrotate.d,news}
install doc/slrn.rc $RPM_BUILD_ROOT/etc/news/
chmod 644 $RPM_BUILD_ROOT/etc/news/slrn.rc
#install -d $RPM_BUILD_ROOT/var/spool/slrnpull/out.going
#install doc/slrnpull/slrnpull.conf $RPM_BUILD_ROOT/var/spool/slrnpull
#install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily
#install %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/slrnpull
#cp      %{SOURCE3} doc/slrnpull/README.rpm
#chmod 644 doc/slrnpull/*

# Menu entry
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name <<EOF
?package(%{name}):\
 	command="%_bindir/slrn" needs="text" icon="news_section.png"\
  	section="Networking/News" title="Slrn" longtitle="A powerful, easy to use, threaded Internet news reader"
EOF

#(peroyvind) remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf %buildroot

%post
%update_menus
%postun
%update_menus

%files -f %{name}.lang 
%defattr(-,root,root)
%doc COPYING    doc/FIRST_STEPS doc/README.SSL doc/help.txt doc/score.txt doc/slrnfuns.txt
%doc COPYRIGHT  README            doc/README.macros     doc/THANKS       doc/manual.txt  doc/slrn-doc.html
%doc doc/FAQ doc/README.GroupLens  doc/README.multiuser changes.txt  doc/score.sl    doc/slrn.rc
%attr(755,root,root) %{_bindir}/slrn
%{_mandir}/man1/slrn.1*
%config(noreplace) %{_sysconfdir}/news/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%_menudir/*

%files pull
%defattr(-,root,root)
%doc doc/slrnpull/*
%{_mandir}/man1/slrnpull*
#%attr(755,root,root) %config(noreplace) %{_sysconfdir}/cron.daily/slrnpull-expire
#%config(noreplace) %{_sysconfdir}/logrotate.d/slrnpull
%{_bindir}/slrnpull
#%attr(775,news,news) %dir /var/spool/slrnpull
#%attr(3777,news,news) %dir /var/spool/slrnpull/out.going
#%attr(644,news,news) %config(noreplace) /var/spool/slrnpull/slrnpull.conf

%changelog
* Tue Feb 28 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.9.8.1-4mdk
- Don't ship slrn man page in both packages

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.9.8.1-3mdk
- Rebuild

* Tue Jul 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.8.1-2mdk
- Fix BuildRequires

* Mon Mar 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.9.8.1-1mdk
- new version 0.9.8.1
- system slrn.rc should not be executable

* Mon Jan 17 2005 Marcel Pol <mpol@mandrake.org> 0.9.8.0-4mdk
- do not send 8859-1 characters to UTF-8 slang [Suse #37854]

* Fri Jul 23 2004 Marcel Pol <mpol@mandrake.org> 0.9.8.0-3mdk
- again build against new slang

* Wed Jul 21 2004 Marcel Pol <mpol@mandrake.org> 0.9.8.0-2mdk
- build against new slang

* Mon Dec 22 2003 Damien Chaumette <dchaumette@mandrakesoft.com> 0.9.8.0-1mdk
- version 0.9.8.0
- remove merged patches
- no more doc/SCORE_FAQ

* Thu Jun 05 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.7.4-3mdk
- fix unpackaged files
- macroize (light;)

* Sun Apr 07 2002 Yves Duret <yduret@mandrakesoft.com> 0.9.7.4-2mdk
- fix French i18n and -9999 Scoring thx Jrme UZEL <jerome.uzel@free.fr> 
  (patch2 and buildrequires gettext)
- added patch{0,1,3} from slrn homepage
- readded menu entry

* Sat Apr 06 2002 Yves Duret <yduret@mandrakesoft.com> 0.9.7.4-1mdk
- version 0.9.7.4

* Mon Dec  3 2001 Stefan van der Eijk <stefan@eijk.nu> 0.9.7.3-2mdk
- fix BuildRequires

* Fri Nov 16 2001 Yves Duret <yduret@mandrakesoft.com> 0.9.7.3-1mdk
- version 0.9.7.3 : they now use autoconf/make alleihluiahhh !
  and provide l10n in da, de, it, nl, pl, ru thx gettext !
- complete sprec rewrite due to new install/build process
- removed security patch1 merged upstream
- removed config patch0 not needed anaymore (autotools r0x)
- removed ipv6 patch no more supported

* Fri Sep 28 2001 Yves Duret <yduret@mandrakesoft.com> 0.9.7.2-1mdk
- version 0.9.7.2
- added security patch1 "Don't execute shell scripts while decoding"

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 0.9.7.1-3mdk
- BuildRequires:  slang --> slang-devel
- BuildRequires:  openssl-devel

* Sun Jul 15 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.9.7.1-2mdk
- BuildRequires: inews

* Tue Jul 10 2001 Yves Duret <yduret@mandrakesoft.com> 0.9.7.1-1mdk
- version 0.9.7.1
- updated the ipv6 patch, removed old fussy patch
- added Requires on inews

* Mon May 21 2001 Yves Duret <yduret@mandrakesoft.com> 0.9.7.0a-2mdk
- spec file
- added IPv6 support
- updated the url tag to http://www.slrn.org and source tag (ftp)
- updated requires

* Fri May 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9.7.0a-1mdk
- Bump 0.9.7.0a out into cooker for general consumption.
- Build with SSL support. :)

* Wed Jan  5 2001 Yves Duret <yduret@mandraksoft.com> 0.9.6.3-10mdk
- clean up spec file
- updated the requires tag
- added many bug fix and security fix (pl4) from the slrn team

* Fri Oct 27 2000 DindinX <odin@mandrakesoft.com> 0.9.6.3-9mdk
- 0.9.6.3
- small spec fixes

* Tue Sep 05 2000 DindinX <odin@mandrakesoft.com> 0.9.5.7-8mdk
- fix paths (use macros)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.5.7-7mdk
- automatically added BuildRequires

* Sun Jun 04 2000 David BAUDENS <baudens@mandrakesoft.com> 0.9.5.7-6mdk
- Really fix %%doc

* Wed May 24 2000 David BAUDENS <baudens@mandrakesoft.com> 0.9.5.7-5mdk
- Fix %%doc

* Thu May  4 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.5.7-4mdk
- Remove the menu entry

* Tue Apr 11 2000 Denis Havlik <denis@mandrakesoft.com> 0.9.5.7-3mdk
- icons, file atributes 

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.5.7-2mdk
- Add menu support.
- Update groups.
- Clen-up specs.

* Sat Nov 06 1999 John Buswell <johnb@mandrakesoft.com>
- 0.9.5.7
- Build Release

* Wed Jul 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.9.5.6.

* Wed Apr 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adptations.
- Update to 0.9.5.5.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- return of wmconfig

* Mon Nov  9 1998 Bill Nottingham <notting@redhat.com>
- add bugfix patch from jed

* Fri Nov  6 1998 Bill Nottingham <notting@redhat.com>
- update to 0.9.5.4

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- built for Raw Hide
- added bugfix patch

* Tue Sep 8 1998 Manoj Kasichainula <manojk+rpm@io.com>
[0.9.5.3-2]
- Fixed a couple of stupid things I did.
- Took out -fno-strength-reduce. AFAIK, gcc on RH5.1 doesn't have this bug. I
  use egcs which shouldn't have this bug. And if you have this bug, *and* are
  recompiling on your own machin, you should have -fno-strength-reduce in your
  RPM_OPT_FLAGS anyway.

* Tue Sep 8 1998 Manoj Kasichainula <manojk+rpm@io.com>
[0.9.5.3-1]
- Updated to 0.9.5.3

* Mon Jun 1 1998 Manoj Kasichainula <manojk+rpm@io.com>
- added translations from RH 5.1 (still none for slrn-pull package)

* Mon May 4 1998 Manoj Kasichainula <manojk+rpm@io.com>
[0.9.5.2-1]
- updated to 0.9.5.2

* Wed Apr 22 1998 Manoj Kasichainula <manojk+rpm@io.com>
[0.9.5.1-1]
- updated to 0.9.5.1

* Mon Apr 12 1998 Manoj Kasichainula <manojk+rpm@io.com>
[0.9.4.6-3]
- updated to require slang 1.2.1

* Sun Apr 12 1998 Manoj Kasichainula <manojk+rpm@io.com>
[0.9.4.6-2]
- updated to require slang 1.2.0

* Wed Feb 11 1998 Manoj Kasichainula <manojk+rpm@io.com>
(my unreleased 0.9.4.6-1)
- updated to 0.9.4.6

* Tue Feb 3 1998 Manoj Kasichainula <manojk+rpm@io.com>
- docs are now forced to 644 to prevent including /bin/sh as a requirement
- added macros in the doc directory
- should now be buildable by non-root

* Thu Jan 29 1998 Bill Nottingham <wen1@cec.wustl.edu>
- updated to 0.9.4.5
- added wmconfig entry

* Sat Sep 13 1997 Manoj Kasichainula <manojk+rpm@io.com> (0.9.4.3-2)
- Fixes from JED
- default mode for slrnpull posts set to 0640, so slrnpull can read it as
  non-root
- lots of pre-setup for slrnpull
  - directories set up
  - automatic daily expiration
  - moved slrnpull directory to /var/spool/slrnpull, to match (most) docs
  - more 
- minor spec file changes

* Sat Jul 12 1997 Manoj Kasichainula <manojk+rpm@io.com> (0.9.4.3-1)
- Initial release for 0.9.4.3
